using Godot;
namespace Rokojori
{  
  public static class CurveTextureExtensions
  {

    public static CurveTexture WithTextureMode( this CurveTexture curveTexture, CurveTexture.TextureModeEnum textureMode )
    {
      curveTexture.TextureMode = textureMode;
      return curveTexture;
    }

    public static CurveTexture WithResolution( this CurveTexture curveTexture, int resolution )
    {
      curveTexture.Width = resolution;
      return curveTexture;
    }

    public static CurveTexture WithCurve( this CurveTexture curveTexture, Curve curve )
    {
      curveTexture.Curve = curve;
      return curveTexture;
    }
  }
}